VMSTAT(8)

NAZWA
vmstat - statystyki pamięci wirtualnej

SKŁADNIA
vmstat [opcje] [opóźnienie [liczba]]

OPIS
vmstat raportuje informacje o aktywności procesów, pamięci, stronicowania, blokowego we/wy, pułapek, dysków i procesora.

Pierwszy tworzony raport podaje średnie wartości od ostatniego restartu systemu. Dodatkowe raporty podają informacje dla okresów próbkowania o długości opóźnienia. Raporty dotyczące procesów i pamięci są w obu przypadkach natychmiastowe.

OPCJE

opóźnienie
    Opóźnienie pomiędzy uaktualnieniami w sekundach. Jeśli nie podano opóźnienia, wypisywany jest tylko raport z wartościami średnimi od rozruchu systemu.

liczba
    Liczba uaktualnień. W przypadku braku liczby, jeśli podano opóźnienie, domyślna jest nieskończoność.

-a, --active
    Wyświetlenie pamięci aktywnej i nieaktywnej, jeśli używane jest jądro 2.5.41 lub nowsze.

-f, --forks
    Opcja -f wyświetla liczbę rozgałęzień procesów od rozruchu systemu. Liczba ta obejmuje wywołania systemowe fork, vfork oraz clone; jest odpowiednikiem całkowitej liczby utworzonych zadań. Każdy proces jest reprezentowany przez jedno lub więcej zadań, w zależności od wykorzystania wątków. Ten widok się nie powtarza.

-m, --slabs
    Wyświetlenie slabinfo.

-n, --one-header
    Wyświetlenie nagłówka tylko raz zamiast regularnie.

-s, --stats
    Wyświetlenie tabeli różnych liczników zdarzeń i statystyk pamięci. Ten widok się nie powtarza.

-d, --disk
    Raport statystyk dysku (wymagane jądro 2.5.70 lub nowsze).

-D, --disk-sum
    Raport pewnych statystyk zbiorczych dotyczących aktywności dysku.

-p, --partition urządzenie
    Szczegółowe statystyki dotyczące partycji (wymagane jądro 2.5.70 lub nowsze).

-S, --unit znak
    Przełączenie wyjścia między jednostkami 1000 (k), 1024 (K),1000000 (m) lub 1048576 (M) bajtów. Opcja nie zmienia pól operacji wymiany (si/so) ani blokowych (bi/bo).

-t, --timestamp
    Dołączenie znacznika czasu do każdej linii

-w, --wide
    Tryb szerokiego wyjścia (przydatny dla systemów z dużą ilością pamięci, gdzie domyślny tryb wyjścia cierpi przez niechciane łamanie kolumn). Wyjście jest szersze niż 80 znaków w linii.

-y, --no-first
    Pominięcie pierwszego raportu ze statystykami od rozruchu systemu.

-V, --version
    Wyświetlenie informacji o wersji i zakończenie.

-h, --help
    Wyświetlenie opisu i zakończenie.

OPIS PÓL DLA TRYBU VM

  Proc.
r: Liczba procesów działających (działających lub czekających na czas pracy).
b: Liczba procesów zablokowanych na oczekiwaniu na zakończenie we/wy.

  Pamięć
Te podlegają opcji --unit.
swap:   ilość użytej pamięci wymiany.
wolna:  ilość pamięci bezczynnej.
bufor:  ilość pamięci używanej jako bufory.
cache:  ilość pamięci używanej jako podręczna.
nieakt: ilość pamięci nieaktywnej (opcja -a).
akt:    ilość pamięci aktywnej (opcja -a).

  Swap
Te podlegają opcji --unit.
si: Ilość pamięci wymiany wczytanej z dysku (/s).
so: Ilość pamięci wymiany zapisanej na dysk (/s).

  IO
bi: Kibibajty odebrane z urządzenia blokowego (bloki/s).
bo: Kibibajty wysłane do urządzenia blokowego (bloki/s).

  System
in: Liczba przerwań na sekundę, włącznie z zegarowym.
cs: Liczba przełączeń kontekstu na sekundę.

  CPU
Procenty całkowitego czasu procesora.
us: Czas spędzony w kodzie poza jądrem (czas użytkownika, w tym nice).
sy: Czas spędzony w kodzie jądra (czas systemu)
id: Czas spędzony bezczynnie. Przed Linuksem 2.5.41 obejmował czas IO-wait.
wa: Czas spędzony na oczekiwaniu na we/wy. Przed 2.5.41 zawarty w bezczynnym.
st: Czas skradziony wirtualnej maszynie. Przed Linuksem 2.6.11 nieznany.
gu: Czas spędzony w kodzie gościa KVM (czas gościa, w tym nice).

OPIS PÓL DLA TRYBU DYSKOWEGO

  Odczyty
total: wszystkie odczyty zakończone poprawnie
merged: odczyty zgrupowane (zakończone w jednym we/wy)
sectors: sektory odczytane poprawnie
ms: milisekundy spędzone na odczycie

  Zapisy
total: wszystkie zapisy zakończone poprawnie
merged: zapisy zgrupowane (zakończone w jednym we/wy)
sectors: sektory zapisane poprawnie
ms: milisekundy spędzone na zapisie

  IO
cur: operacje we/wy w trakcie
s: sekundy spędzone na operacjach we/wy

OPIS PÓL DLA TRYBU PARTYCJI DYSKU
reads: całkowita liczba odczytów zleconych dla tej partycji
read sectors: całkowita liczba sektorów odczytanych z partycji
writes: całkowita liczba zapisów zleconych dla tej partycji
requested writes: całkowita liczba żądań zapisu dla partycji

OPIS PÓL DLA TRYBU PŁYT
Slab mode shows statistics per slab, for more information about this information see slabinfo(5)

cache: nazwa pamięci podręcznej
num: liczba obecnie aktywnych obiektów
total: całkowita liczba dostępnych obiektów
size: rozmiar każdego obiektu
pages: liczba stron z przynajmniej jednym aktywnym obiektem

UWAGI
vmstat requires read access to files under /proc. The -m requires read access to /proc/slabinfo which may not be available to standard users. Mount options for /proc such as subset=pid may also impact what is visible.

ZOBACZ TAKŻE
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1), slabinfo(5)

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów prosimy wysyłać na adres procps@freelists.org